type: test/samples
schema_version: 1
test:
  suites:
  - name: Transcribe Audio File (Local File)
    cases:

    # This sample should default to using brooklyn_bridge.raw
    # with explicitly configured sample_rate_hertz and encoding
    - name: speech_transcribe_sync (no arguments)
      spec:
      - call:
          sample: speech_transcribe_sync
      - assert_contains:
        - literal: "how old is the Brooklyn Bridge"

    # Confirm that another file can be transcribed (use another .raw PCM file)
    - name: speech_transcribe_sync (--local_file_path)
      spec:
      - call:
          sample: speech_transcribe_sync
          params:
            local_file_path:
              literal: "resources/hello.raw"
      - assert_contains:
        - literal: "hello"
      - assert_not_contains:
        - literal: "how old is the Brooklyn Bridge"
